spring.application.name=iSante
# PostgreSQL
spring.datasource.url=jdbc:postgresql://db:5432/isante_db
spring.datasource.username=postgres
spring.datasource.password=postgres
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect

server.use-forward-headers=true
server.tomcat.remote-ip-header=x-forwarded-for
server.tomcat.protocol-header=x-forwarded-proto
server.tomcat.accept-hosts=.*

# Activer les messages d'erreur en JSON
server.error.include-message=always
server.error.include-binding-errors=always

cors.allowed-origins=${CORS_ALLOWED_ORIGINS}
 # Accepte les connexions externes
server.address=0.0.0.0